<head>
    
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet">
    
    
<script async src="//pagead2.googlesyndication.com/pagead/js/adsbygoogle.js"></script>
<script>
  (adsbygoogle = window.adsbygoogle || []).push({
    google_ad_client: "ca-pub-5664598279839804",
    enable_page_level_ads: true
  });
</script>
    
    <script type='text/javascript'>
//<![CDATA[
shortcut={all_shortcuts:{},add:function(a,b,c){var d={type:"keydown",propagate:!1,disable_in_input:!1,target:document,keycode:!1};if(c)for(var e in d)"undefined"==typeof c[e]&&(c[e]=d[e]);else c=d;d=c.target,"string"==typeof c.target&&(d=document.getElementById(c.target)),a=a.toLowerCase(),e=function(d){d=d||window.event;if(c.disable_in_input){var e;d.target?e=d.target:d.srcElement&&(e=d.srcElement),3==e.nodeType&&(e=e.parentNode);if("INPUT"==e.tagName||"TEXTAREA"==e.tagName)return}d.keyCode?code=d.keyCode:d.which&&(code=d.which),e=String.fromCharCode(code).toLowerCase(),188==code&&(e=","),190==code&&(e=".");var f=a.split("+"),g=0,h={"`":"~",1:"!",2:"@",3:"#",4:"$",5:"%",6:"^",7:"&",8:"*",9:"(",0:")","-":"_","=":"+",";":":","'":'"',",":"<",".":">","/":"?","\\":"|"},i={esc:27,escape:27,tab:9,space:32,"return":13,enter:13,backspace:8,scrolllock:145,scroll_lock:145,scroll:145,capslock:20,caps_lock:20,caps:20,numlock:144,num_lock:144,num:144,pause:19,"break":19,insert:45,home:36,"delete":46,end:35,pageup:33,page_up:33,pu:33,pagedown:34,page_down:34,pd:34,left:37,up:38,right:39,down:40,f1:112,f2:113,f3:114,f4:115,f5:116,f6:117,f7:118,f8:119,f9:120,f10:121,f11:122,f12:123},j=!1,l=!1,m=!1,n=!1,o=!1,p=!1,q=!1,r=!1;d.ctrlKey&&(n=!0),d.shiftKey&&(l=!0),d.altKey&&(p=!0),d.metaKey&&(r=!0);for(var s=0;k=f[s],s<f.length;s++)"ctrl"==k||"control"==k?(g++,m=!0):"shift"==k?(g++,j=!0):"alt"==k?(g++,o=!0):"meta"==k?(g++,q=!0):1<k.length?i[k]==code&&g++:c.keycode?c.keycode==code&&g++:e==k?g++:h[e]&&d.shiftKey&&(e=h[e],e==k&&g++);if(g==f.length&&n==m&&l==j&&p==o&&r==q&&(b(d),!c.propagate))return d.cancelBubble=!0,d.returnValue=!1,d.stopPropagation&&(d.stopPropagation(),d.preventDefault()),!1},this.all_shortcuts[a]={callback:e,target:d,event:c.type},d.addEventListener?d.addEventListener(c.type,e,!1):d.attachEvent?d.attachEvent("on"+c.type,e):d["on"+c.type]=e},remove:function(a){var a=a.toLowerCase(),b=this.all_shortcuts[a];delete this.all_shortcuts[a];if(b){var a=b.event,c=b.target,b=b.callback;c.detachEvent?c.detachEvent("on"+a,b):c.removeEventListener?c.removeEventListener(a,b,!1):c["on"+a]=!1}}},shortcut.add("Ctrl+U",function(){top.location.href="http://www.shafou.com"});
//]]>
</script>
    
    
    <!--
        © Material Theme
        https://github.com/viosey/hexo-theme-material
        Version: 1.3.4 -->

    <!-- Title -->
    <%
        var title = page.title;

        if (is_archive()) {
            title = __('sidebar.archive');

            if (is_month()) {
                title += ': ' + page.year + '/' + page.month;
            }
            else if (is_year()) {
                title += ': ' + page.year;
            }
        }
        else if (is_category()) {
            title = __('title.category') + ': ' + page.category;
        }
        else if (is_tag()) {
            title = __('title.tag') + ': ' + page.tag;
        }
    %>
    <title>
        <% if (title) { %>
            <%= title + ' | ' %>
        <% } %>
        <%= config.title %>
    </title>

    <!-- Meta & Info -->
    <meta charset="utf-8">

    <!-- dns prefetch -->
    <meta http-equiv="x-dns-prefetch-control" content="on">
    <% if(theme.materialcdn.use === true) { %>
        <link rel="dns-prefetch" href="<%= theme.materialcdn.base %>"/>
    <%}%>
    <% if(theme.leancloud.enable === true) { %>
        <link rel="dns-prefetch" href="<%= theme.leancloud.av_core_mini %>"/>
    <% } %>
    <% if(theme.comment.use == "changyan"){ %>
        <link rel="dns-prefetch" href="https://changyan.sohu.com"/>
    <% } %>
    <% if(theme.analytics.baidu_id) { %>
        <link rel="dns-prefetch" href="https://hm.baidu.com"/>
    <% } %>
    <% if(theme.analytics.google_id) { %>
        <link rel="dns-prefetch" href="https://www.google-analytics.com"/>
    <% } %>
    <% if(theme.busuanzi.enable === true) { %>
        <link rel="dns-prefetch" href="https://busuanzi.ibruce.info"/>
    <% } %>

    <meta http-equiv="X-UA-Compatible">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="theme-color" content="<%= theme.uiux.android_chrome_color %>">
    <meta name="author" content="<%= config.author %>">
    <meta name="description" content="<%= config.description %>">
    <meta name="keywords" content="<%= theme.head.keywords %><% if(page.tags && page.tags.each) { page.tags.each(function(tag) { %><%- ',' + tag.name %><% })} %>">

    <!-- Favicons -->
    <link rel="icon shortcut" type="image/ico" href="<%= theme.head.favicon %>">
    <link rel="icon" sizes="192x192" href="<%= theme.head.high_res_favicon %>">
    <link rel="apple-touch-icon" href="<%= theme.head.apple_touch_icon %>">

    <!--iOS -->
    <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no">
    <meta name="apple-mobile-web-app-title" content="Title">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <meta name="HandheldFriendly" content="True">
    <meta name="MobileOptimized" content="480">

    <!-- Add to homescreen for Chrome on Android -->
    <meta name="mobile-web-app-capable" content="yes">

    <!-- Add to homescreen for Safari on iOS -->
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <meta name="apple-mobile-web-app-title" content="<%= config.title %>">

    <!-- The Open Graph protocol -->
    <meta property="og:url" content="<%= config.url %>">
    <meta property="og:type" content="blog">
    <meta property="og:title" content="<% if (title) { %><%= title %> | <% } %><%= config.title %>">
    <meta property="og:description" content="<%= config.description %>">
    <% if(page.tags && page.tags.each) { page.tags.each(function(tag){ %><meta property="og:article:tag" content="<%= tag.name %>"> <% })} %>

    <!--[if lte IE 9]>
        <link rel="stylesheet" href="/css/ie-blocker.css">

        <% if(config.language === 'zh-CN') { %>
            <script src="/js/ie-blocker.zhCN.js"></script>
        <% } else { %>
            <script src="/js/ie-blocker.en.js"></script>
        <% } %>
    <![endif]-->

    <!-- Import CSS & jQuery -->
    <% if(theme.materialcdn.use === true) { %>
        <link rel="stylesheet" href="<%= theme.materialcdn.base %>/css/material.min.css">
        <link rel="stylesheet" href="<%= theme.materialcdn.base %>/css/style.min.css">
        <%- partial('_partial/config_css') %>
        <script src="<%= theme.materialcdn.base %>/js/jquery.min.js"></script>
        <script src="<%= theme.materialcdn.base %>/js/queue.js"></script>
    <%}else{%>
        <%- css('css/material.min') %>
        <%- css('css/style.min') %>
        <%- partial('_partial/config_css') %>
        <%- js('js/jquery.min') %>
        <%- js('js/queue') %>
    <%}%>

    <!-- Smartlook -->
    <script type="text/javascript">
        window.smartlook||(function(d) {
        var o=smartlook=function(){ o.api.push(arguments)},h=d.getElementsByTagName('head')[0];
        var c=d.createElement('script');o.api=new Array();c.async=true;c.type='text/javascript';
        c.charset='utf-8';c.src='https://rec.smartlook.com/recorder.js';h.appendChild(c);
        })(document);
        smartlook('init', 'ae3414607baf5955828355f216e36d048b7a4905');
    </script>

    <% if(theme.analytics.baidu_id) { %>
    <!-- Baidu Analytics -->
    <script>
        var _hmt = _hmt || [];
        (function() {var hm = document.createElement('script');
        hm.src = 'https://hm.baidu.com/hm.js?<%= theme.analytics.baidu_id %>';
        var s = document.getElementsByTagName('script')[0];
        s.parentNode.insertBefore(hm, s);
        })();
    </script>
    <% } %>

    <% if(theme.analytics.google_id) { %>
    <!-- Google Analytics -->
    <script>
        (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
        (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
        m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
        })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');
        ga('create', '<%= theme.analytics.google_id %>', 'auto');ga('send', 'pageview');
    </script>
    <% } %>

    <!-- Bing Background -->
    <% if(theme.background.bing.enable) { %>
        <script type="text/javascript">
            queue.offer(function(){
                $('body').attr('data-original', 'https://api.i-meto.com/bing?<%= theme.background.bing.parameter %>');
            });
        </script>
    <% } %>

    <!-- Custom Head -->
    <% if (site.data.head) { %>
        <% for (var i in site.data.head) { %>
            <%- site.data.head[i] %>
        <% } %>
    <% } %>
</head>
